//
// ApplicationPreferences - Constructor and initialisation
//

class ApplicationPreferences {
    constructor() {
        // Mechanism to pass (this) to the handlers
        var applicationPreferencesObject = this;

        // Get existing events and resource restrictions
        $.when(
            $.ajax({ url: '/resource_planner/application_preferences/all.json', async: false }),
            // $.ajax({ url: '/resource_planner/resource_restrictions.json', async: true })
        ).done(function (a1, a2) {

            var hashResult = {};
            for (var key in a1) { hashResult[`${a1[key].key}`] = a1[key].value; }
            applicationPreferencesObject._preferences = hashResult;

            // fullCalendarTimelineObject._resourceRestrictions = a2[0];
        });
    } // end constructor

    // Getters/Setters
    get preferences() {
        return this._preferences;
    }

    // Get named parameter
    getParameter(name) {
        return this._preferences[name];
    }
}
