class CreateEventUnits < ActiveRecord::Migration[5.2]
  def change
    create_table :resource_planner_event_units do |t|
      t.belongs_to :event, null: false #, foreign_key: true

      t.string     :name
      t.text       :notes

      t.timestamp  :start_at
      t.timestamp  :end_at
      t.boolean    :all_day, default: false

      t.boolean    :is_modified, default: false

      t.boolean    :is_chargeable, default: false
      t.decimal    :price
      t.references :currency
      t.boolean    :price_includes_tax

      t.timestamps :null => false
    end
  end
end
